﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.UserLogin
@{
    ViewData["Title"] = "Index";
}
<script src="~/Script/Master/Layout.js"></script>

@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
{
    <script>
        toastr.success('@TempData["success"]');
    </script>
}
else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
{
    <script>
        toastr.error('@TempData["error"]');
    </script>
}
<style>
    .backtolist {
        margin-top: 3px !important;
    }
</style>
<script type="text/javascript">

    $(document).ready(function () {
        if ($("#Id").val() > 0) {
            $(".titile_heading h1").html("Edit User");
            $(".service_line").addClass("active");
            $(".assign_panel").hide();
            $(".titile_heading").show();
        } else {
            $(".titile_heading h1").html("User list");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
        }
    });
    function AddButton() {
        $(".titile_heading h1").html("Add User");
        $(".service_line").addClass("active");
        $(".assign_panel").hide();
        $("#UserName").val('');
        $("#Password").val('');
        $("#Email").val('');
        $("#RoleId").val('');
        $("#Id").val(0);

        //$(".titile_heading").show();}
    }

    function BackButton() {
        $(".titile_heading h1").html("User List");
        $(".service_line").removeClass("active");
        $(".assign_panel").show();
        //$(".titile_heading").show();
        //$("#viewbutton").show();
    }

    function fnBlockDelete(ThreatId, Action, Type) {
        if (confirm('Are you sure you want to' + Action + ' this?')) {
            $.getJSON('/Master/Threat/BlockDeleteThreat', { ThreatId: ThreatId, Type: Type }, function (data) {
                if (data > 0) {
                }
            });
            setTimeout(function () { window.location.reload(); }, 1000);
        }
    }
    function Confirmation(id) {
        Swal.fire({
            title: 'Do you want to delete?',
            showDenyButton: true,
            showCancelButton: true,
            confirmButtonText: 'Delete',
            denyButtonText: `Don't Delete`,
        }).then((result) => {
            /* Read more about isConfirmed, isDenied below */
            if (result.isConfirmed) {
                $.ajax({
                    url: "/ApplicationManagement/User/BlockDeleteREGO",
                    type: "POST",
                    cache: false,
                    data: { id: id, Type: Type = 1 },
                    success: function (result) {
                        toastr.success("Delete successfully!!");
                        $('a[href="/ApplicationManagement/User/Index"]').click();
                    }, error: function (ex) {
                        console.log(ex.statusText);
                    }
                })
            } else if (result.isDenied) {
                Swal.fire('Changes are not saved', '', 'info')
            }
        });
    }


    function fn_checkDuplicate(input) {
        debugger
        var UserName = $(input).val();
        $.ajax({
            url: '/ApplicationManagement/User/CheckDuplicateuser',
            type: 'get',
            data: { UserName: UserName },
            success: function (res) {
                if (res.isSuccess) {
                    //toastr.success(UserName + ' already exists');
                    $('#UserName').val('');
                }
            },
        })
    }

</script>

<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>User List</h1>
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="TabMenu" asp-controller="User" asp-area="ApplicationManagement">Back to Menu</a>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line">
                        <form role="form" asp-action="SaveupdateUser" asp-controller="User" asp-area="ApplicationManagement"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading......"
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/User/Index');"
                              data-ajax-failure="Errmsg(data);">
                            @Html.HiddenFor(m => m.Id)
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">User Name</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextBoxFor(m => m.UserName, new { @class = "form-control m_no", required = "required", placeholder = "Plese enter user name" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Password</label>
                                    <div class="select_box m_bottom">
                                        @Html.PasswordFor(m => m.Password, new { value = Model.Password, @class = "form-control m_no", required = "required", placeholder = "Please enter password" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Email Id</label>
                                    <div class="select_box m_bottom">
                                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control m_no", required = "required", placeholder = "Please enter Email Id" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Role</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.RoleId, Model.DdlRole, "Select Role", new { @class = "form-control m_no", required = "required" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-sm-6 col-xs-12">
                                    <div class="back_btn" id="viewbutton">
                                        <div class="back_btn_in" data-title="Back">
                                            <input type="button" name="Back" onclick="BackButton()" value="Back">
                                        </div>
                                    </div>
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit">
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="assign_panel assign_section">
                        <div class="addbtn">
                            <div class="add_litigation">
                                <span>+</span>
                                <input type="button" onclick="AddButton()" value="Add User">
                            </div>
                        </div><!--edn of addbtn-->
                        <div class="assign_box active_block fade in">
                            <div class="row">
                                <div class="table_control">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width: 70px;">SN</th>
                                                <th>Role</th>
                                                <th>User</th>
                                                <th>Email</th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int sn = 0;}
                                            @foreach (var item in Model.Userlist)
                                            {
                                                <tr>
                                                    <td>@(++sn)</td>
                                                    <td>@Model.DdlRole.Where(x => x.Value == item.RoleId.ToString()).Select(x => x.Text).FirstOrDefault()</td>
                                                    <td>@item.UserName</td>
                                                    <td>@item.Email</td>
                                                    <td>
                                                        <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-route-Id="@item.Id" asp-controller="User" asp-area="ApplicationManagement" class="edit_btn"></a>
                                                        <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="DeleteActiveUser" asp-route-Id="@item.Id" asp-route-Type="1" asp-controller="User" asp-area="ApplicationManagement" class="delete_btn"></a>
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>



